# Author: Jan Vcelak <jvcelak@redhat.com>

require "bughunting/common/config"

class WebConfig < BaseConfig
	def self.get_defaults
		{
			"listen" => {
				"ip" => "0.0.0.0",
				"port" => 80,
			},
			"check_server" => {
				"ip" => "127.0.0.1",
			},
			"results" => {
				"running" => "/var/lib/bughunting/running",
				"database" => "/var/lib/bughunting/results.db",
			},
			"players" => {
				"127.0.0.1" => "server",
			},
		}.clone
	end
end
